/*
 * Copyright (C) 2021 Patrick Goldinger
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package dev.patrickgold.florisboard.snygg

/**
 * Main object for defining all known Snygg property names.
 *
 * snygg = Swedish for stylish
 */
object Snygg {
    const val Width = "width"
    const val Height = "height"

    const val Background = "background"
    const val Foreground = "foreground"

    const val BorderColor = "border-color"
    const val BorderStyle = "border-style"
    const val BorderWidth = "border-width"

    const val FontFamily = "font-family"
    const val FontSize = "font-size"
    const val FontStyle = "font-style"
    const val FontVariant = "font-variant"
    const val FontWeight = "font-weight"

    const val ShadowElevation = "shadow-elevation"

    const val Shape = "shape"
}
